Bug 483890 - openoffice.org crash/disappear after opening redirected .html file
openoffice.org crash/disappear after opening redirected .html file
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-02-04 01:49 EST by Suqin Huang
Modified: 2009-02-12 09:47 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-02-12 09:47:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Crash information (14.09 KB, application/octet-stream)
2009-02-04 04:47 EST, Suqin Huang
no flags Details
backup of .openoffice.org (592.17 KB, application/x-gzip)
2009-02-04 22:11 EST, Suqin Huang
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 94240 None None None Never
OpenOffice.org 99050 None None None Never

  None (edit)
Description Suqin Huang 2009-02-04 01:49:47 EST
Description of problem:
openoffice crash when open file  http://www.openoffice.org/nonav/issues/showattachment.cgi/59394/redirect.odt

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Open terminal 
2. Input oowriter http://www.openoffice.org/nonav/issues/showattachment.cgi/59394/redirect.odt
3. Double click one OOo file on locale machine to open it.
Actual results:
After step2 nothing is displayed.
After step3 "OOo has crashed!: Paste this text into your bug report" dialog pop-up.

Expected results:
Both documents are opened successfully.

Additional info:
http://www.openoffice.org/nonav/issues/showattachment.cgi/59394/redirect.odt file can be opened by openoffice.org-2.3.0-6.5.4.el5_2
Comment 1 Caolan McNamara 2009-02-04 04:32:22 EST
'After step3 "OOo has crashed!: Paste this text into your bug report" dialog

Please paste that text into this bug report
Comment 2 Suqin Huang 2009-02-04 04:47:06 EST
Created attachment 330846 [details]
Crash information

Attach crash information
Comment 3 Caolan McNamara 2009-02-04 05:07:32 EST
I don't get this problem myself, but the stack is like http://qa.openoffice.org/issues/show_bug.cgi?id=94240 which suggests a problem with .db version mismatch.

a) If you 
tar cvzf backedup.config.tar.gz .openoffice.org
mv .openoffice.org backedup.config

does that make a difference ? If it does then can you attach the backedup.config.tar.gz

b) If it doesn't make a difference then can you attach the output of

strace -f /usr/lib/openoffice.org3/program/soffice.bin -writer http://www.openoffice.org/nonav/issues/showattachment.cgi/59394/redirect.odt
 > /tmp/strace.log 2>&1

and make it crash and attach that log
Comment 4 Suqin Huang 2009-02-04 22:11:46 EST
Created attachment 330954 [details]
backup of .openoffice.org

It doesn't crash, but the content of http://www.openoffice.org/nonav/issues/showattachment.cgi/59394/redirect.odt is not shown.
Comment 5 Caolan McNamara 2009-02-05 12:01:58 EST
right, so OOo hides when opening a readonly .odt which has a refresh set to a .html document, I see that alright.

I don't get any actual crash though when I double-click another .odt in nautilus.

Maybe its best to try and fix the obvious "hide" problem
Comment 6 Caolan McNamara 2009-02-10 07:42:51 EST
Reverted the change of http://www.openoffice.org/issues/show_bug.cgi?id=47763 which is the cause of this afaics

Will be in >= 3.0.1-15.8

Note You need to log in before you can comment on or make changes to this bug.